Subject: [Ltru] FW: draft-phillips-langtags... (Resend)

From: "Addison Phillips" <[email-masked]>
Date: Wed, 6 Jul 2005 09:28:30 -0700

Since Dylan has forwarded his message to the list, I thought it appropriate that I forward my response as well (rather than recast it). I support the idea of an extension of extensions being written in this WG following adoption of draft-registry and our work on draft-matching.

Best Regards,

Addison

Addison P. Phillips
Globalization Architect, Quest Software
Chair, W3C Internationalization Core Working Group

Internationalization is not a feature.
It is an architecture. 

> -----Original Message-----
> From: Addison Phillips
> Sent: den 5 juli 2005 15:06
> To: 'Dr. Dylan N. Pierce'
> Cc: 'Mark Davis'
> Subject: RE: draft-phillips-langtags... (Resend)
> 
> Dear Dr. Pierce,
> 
> I will first note that the IETF is a volunteer organization: working
> groups are self-appointing. All you have to do is join the mailing list.
> More people weighing in on the "supporting" side of the draft will help us
> get through our Last Calls.
> 
> Mark and I have long been aware of the limitation of singleton letters.
> Essentially there are only 25 available positions (35 if we allow digits),
> which isn't very many as you note. The question has always been whether
> there are a large or small number of practical extensions to language tags
> lurking about. As long as we are talking about individuals or small
> communities (I like to imagine professors of linguistics trading esoteric
> papers) the x- tags work fine. Organizations will, as you note, want an
> extension of their own.
> 
> Incorporating such a public extension-of-extensions into the registry
> draft would be one mechanism for achieving your design goal. Another would
> be to wait for the draft to go through and then write an Internet-Draft
> proposing it as an extension. This might be an appropriate task for the
> LTRU working group.
> 
> For example, IANA could reserve the letter "i-" for IANA registered
> extension schemes based on the design you propose. Then there would then
> be a public registry to enter the extensions into.
> 
> In any case, check out the links on my personal web site and consider
> joining the LTRU working group.
> 
> Best Regards,
> 
> Addison
> 
> Addison P. Phillips
> Globalization Architect, Quest Software
> Chair, W3C Internationalization Core Working Group
> 
> Internationalization is not a feature.
> It is an architecture.
> 
> > -----Original Message-----
> > From: Dr. Dylan N. Pierce [mailto:[email-masked]]
> > Sent: den 5 juli 2005 14:42
> > To: Addison Phillips
> > Subject: Re: draft-phillips-langtags... (Resend)
> >
Original message deleted...

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru